<?php if ( !get_header_image() && is_front_page() && !is_paged() ) : ?>

<?php		  
$args = array(
    'posts_per_page' => 8,
    'offset' => 0,
    'tag' => 'pickup',
    'orderby' => 'post_date',
    'order' => 'DESC',
    'post_type' => array('post','page'),
    'post_status' => 'publish',
    'suppress_filters' => true,
    'ignore_sticky_posts' => true,
    'no_found_rows' => true
);
$the_query = new WP_Query( $args );
if ( $the_query->have_posts() ) {
	?>

<script>
jQuery(function( $ ) {
	$('.bxslider').bxSlider({
		auto: true,
		autoHover: true,
		nextText: '<i class="fa fa-angle-right"></i>',
		prevText: '<i class="fa fa-angle-left"></i>'
	});

	$(window).load(function(){
	    $(".bxslider li").css("opacity", "100");
	});
});
</script>

<div id="slider">
  <ul class="bxslider">

<?php while ( $the_query->have_posts() ) {
    $the_query->the_post();
    ?>
    <li style="opacity:0;">
        <a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
	        <?php if ( has_post_thumbnail()) : ?>
			<figure class="eyecatch">
				<?php the_post_thumbnail('slide-thum'); ?>
			</figure>
			<?php endif; ?>
	        <span class="pickup-label">PICK UP!</span>

			<div class="slidecaption-wrap">
			    <div class="slidecaption">
				    <p class="date">
						<?php
							if(get_post_type() == 'post'):
							$postdate = the_time('Y.m.d');
							$cat = get_the_category();
							$cat = $cat[0];
							$catid = $cat->cat_ID;
							$catname = $cat->name;
							echo $postdate . '<span class="osusume-label cat-name cat-id-' . $catid . '">' . $catname . '</span>';
							else:
							echo '<span class="osusume-label cat-name cat-id-page"></span>';
							endif;
						?>
				    </p>
			    	<h1 class="h2 entry-title"><?php the_title(); ?></h1>
				</div>
			</div>
		</a>
    </li>
    <?php } ; ?>
</ul>
</div>
<?php }
wp_reset_postdata();
?>
		  
<?php endif; ?>


<?php if ( get_header_image() && is_front_page() && !is_paged() ) : ?>

<?php		  
$args = array(
    'posts_per_page' => 16,
    'offset' => 0,
    'tag' => 'pickup',
    'orderby' => 'post_date',
    'order' => 'DESC',
    'post_type' => array('post','page'),
    'post_status' => 'publish',
    'suppress_filters' => true,
    'ignore_sticky_posts' => true,
    'no_found_rows' => true
);
$the_query = new WP_Query( $args );
if ( $the_query->have_posts() ) {
	?>

<script>
jQuery(function( $ ) {
	$('.bxslider2').bxSlider({
		minSlides: 2,
		maxSlides: 4,
		slideWidth: 172,
		slideMargin: 10,
		moveSlides: 1,
		auto: true,
		autoHover: true,
		pause: 5000,
		nextText: '>',
		prevText: '<'
	});
	$(window).load(function(){
	    $(".bxslider2 li").css("opacity", "100");
	});
});
</script>

<div id="top_carousel">
	<h2 class="h3 ttl">おすすめコンテンツ</h2>
  <ul class="bxslider2">

<?php while ( $the_query->have_posts() ) {
    $the_query->the_post();
    ?>
    <li style="opacity:0;">
        <a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
	        <?php if ( has_post_thumbnail()) : ?>
			<figure class="eyecatch">
				<?php the_post_thumbnail('home-thum'); ?>
				<?php
					if(get_post_type() == 'post'):
					$cat = get_the_category();
					$cat = $cat[0];
					$catid = $cat->cat_ID;
					$catname = $cat->name;
					echo '<span class="osusume-label cat-id-' . $catid . '">' . $catname . '</span>';
					else:
					echo '<span class="osusume-label cat-id-page">PICK UP</span>';
					endif;
				?>
			</figure>
			<?php else: ?>
			<figure class="eyecatch noimg">
				<img src="<?php echo get_theme_file_uri('/library/images/noimg.png'); ?>">
			</figure>
			<?php endif; ?>

		    <p class="date">
			    <?php the_time('Y.m.d'); ?>
		    </p>

	    	<h1 class="h2 entry-title"><?php the_title(); ?></h1>
		</a>
    <?php } ; ?>
</ul>
</div>
<?php }
wp_reset_postdata();
?>
		  
<?php endif; ?>
